Get a list of family member histories
get
/FamilyMemberHistory
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of family member histories that meet the supplied query parameters.
- Use
_idorpatient, not both. - Use
statusonly withpatient.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: array[string]
Maximum Number of Items:
2The last updated date or range. -
patient: string
The patient reference or ID.
-
status: string
The family member history status.Allowed Values:
[ "partial", "completed", "entered-in-error", "health-unknown" ]
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
total: integer
-
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
FamilyMemberHistory
The FHIR R4 FamilyMemberHistory resource.
-
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : FamilyMemberHistory
Type:
objectThe FHIR R4 FamilyMemberHistory resource.
Show Source
-
ageAge: object
AgeForFamilyMemberHistory
-
ageString: string
-
bornDate: string
-
bornPeriod: object
Period
-
bornString: string
-
condition: array
condition
-
dataAbsentReason: object
CodeableConcept
-
date: string
(date-time)
-
deceasedBoolean: boolean
-
estimatedAge: boolean
-
id(required): string
-
name: string
-
patient(required): object
ReferenceForFamilyMemberHistory
-
relationship(required): object
CodeableConcept
-
resourceType(required): string
Allowed Values:
[ "FamilyMemberHistory" ] -
sex: object
CodeableConcept
-
status(required): string
Allowed Values:
[ "partial", "completed", "entered-in-error", "health-unknown" ] -
text: object
Narrative
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source